/* $Id: node.h,v 1.3 1995/10/14 15:05:29 cgs Exp $ */
#ifndef _NODE_H
#define _NODE_H

#include <sys/types.h>

#include <netinet/ip.h>
#include <netinet/ip_tcp.h>

#define	IDLE_TIMEOUT	36000
#define	DATALEN		8192

struct s_node {
  struct s_node	*next,
		*prev;
  time_t	time;
  u_long	saddr,
		daddr;
  u_int		sport,
		dport;
  u_char	data[DATALEN+2];
  u_int		dlen;
  u_int		pk_cnt;
  u_long	last_seq;
};

__BEGIN_DECLS

void add_node __P((register const struct iphdr *iph,
			register const struct tcphdr *tcph,
			register const u_char *buf, register u_int buflen));
void delete_node __P((register struct s_node *node));
struct s_node *get_node __P((register const struct iphdr *iph,
			register const struct tcphdr *tcph));
void append_node __P((register struct s_node *node,
			register const u_char *buf, register u_int buflen));
void close_node __P((register struct s_node *node, register char *msg));
void idle_node __P(());

__END_DECLS

#endif /* ! _NODE_H */

